%define         major 0
%define         libname %mklibname de265_ %{major}
%define         devname %mklibname de265 -d

#define         extra 20190816_git5098701

%define		rel 1

Name:           libde265
Version:        1.0.16
Release:        %mkrel %{?extra:0.%extra.}%{rel}
Summary:        Open h.265 video codec implementation
Group:          System/Libraries
License:        LGPLv2 and GPLv2
URL:            https://github.com/strukturag/libde265
Source0:        https://github.com/strukturag/libde265/releases/download/v%{version}/%{name}-%{version}%{?extra:-%{extra}}.tar.gz

BuildRequires:  pkgconfig(sdl)

%description
libde265 is an open source implementation of the h.265 video codec. It is
written from scratch and has a plain C API to enable a simple integration
into other software.

libde265 supports WPP and tile-based multithreading and includes SSE
optimizations. The decoder includes all features of the Main profile and
correctly decodes almost all conformance streams.

%package        -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       de265-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < 1.0.3-0.20181016_git4488ae0.2

%description    -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        -n %{libname}
Summary:        Library files for %{name}
Group:          System/Libraries

%description    -n %{libname}
The %{libname} package contains the libraries for %{name}.

%prep
%autosetup

%build
./autogen.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.*a' -delete

%__mv %{buildroot}%{_bindir}/tests %{buildroot}%{_bindir}/%{name}-tests

%files
%doc AUTHORS ChangeLog NEWS README.md
%{_bindir}/*

%files -n %{libname}
%{_libdir}/*%{name}*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/*%{name}*.so
%{_libdir}/pkgconfig/libde265.pc



%changelog
* Sun May 04 2025 kekepower <kekepower> 1.0.16-1.mga10
+ Revision: 2180850
- Update to version 1.0.16

* Thu Dec 21 2023 kekepower <kekepower> 1.0.15-1.mga10.tainted
+ Revision: 2020628
- Update to version 1.0.15
- Fixes CVE-2023-49465, CVE-2023-49467 and CVE-2023-49468

* Tue Nov 21 2023 kekepower <kekepower> 1.0.14-1.mga10.tainted
+ Revision: 2008792
- Update to version 1.0.14

* Mon Nov 20 2023 kekepower <kekepower> 1.0.13-1.mga10.tainted
+ Revision: 2008526
- Update to version 1.0.13

* Wed Feb 01 2023 kekepower <kekepower> 1.0.11-1.mga9.tainted
+ Revision: 1937386
- Update to version 1.0.11

* Fri Jan 27 2023 kekepower <kekepower> 1.0.10-1.mga9.tainted
+ Revision: 1936528
- Update to version 1.0.10

* Wed Oct 19 2022 kekepower <kekepower> 1.0.9-1.mga9
+ Revision: 1897723
- Update to version 1.0.9

* Fri Apr 01 2022 umeabot <umeabot> 1.0.8-2.mga9.tainted
+ Revision: 1839226
- Mageia 9 Mass Rebuild
+ wally <wally>
- drop old conflicts
- drop unneeded obsoletes

* Tue Nov 03 2020 kekepower <kekepower> 1.0.8-1.mga8.tainted
+ Revision: 1641963
- Update to version 1.0.8

* Thu Sep 24 2020 kekepower <kekepower> 1.0.7-1.mga8
+ Revision: 1629918
- Update to version 1.0.7

* Sun Aug 30 2020 kekepower <kekepower> 1.0.6-1.1.mga8
+ Revision: 1620215
- Update to version 1.0.6

* Tue Jun 09 2020 kekepower <kekepower> 1.0.5-2.mga8
+ Revision: 1591507
- Rename /usr/bin/tests as it conflicts with oidn

* Fri Feb 21 2020 kekepower <kekepower> 1.0.5-1.mga8.tainted
+ Revision: 1549170
- Update to version 1.0.5

* Fri Feb 21 2020 umeabot <umeabot> 1.0.3-0.20190816_git5098701.4.mga8.tainted
+ Revision: 1548876
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 19 2019 zezinho <zezinho> 1.0.3-0.20190816_git5098701.3.mga8.tainted
+ Revision: 1454643
- remove useless x265 build requires

* Sat Oct 19 2019 zezinho <zezinho> 1.0.3-0.20190816_git5098701.2.mga8.tainted
+ Revision: 1454636
- rebuild for new x265

* Fri Aug 16 2019 kekepower <kekepower> 1.0.3-0.20190816_git5098701.1.mga8.tainted
+ Revision: 1429452
- Update to release 20190816_git5098701

* Fri Aug 16 2019 kekepower <kekepower> 1.0.3-0.20190619_git9ffb59c.2.mga8.tainted
+ Revision: 1429427
- Rebuild for new libx265

* Tue Jul 02 2019 kekepower <kekepower> 1.0.3-0.20190619_git9ffb59c.1.mga8.tainted
+ Revision: 1417727
- Update to release 20190619_git9ffb59c

* Fri Apr 12 2019 kekepower <kekepower> 1.0.3-0.20190412_git0aecb47.1.mga7.tainted
+ Revision: 1389471
- Update to release 20190412_git0aecb47

* Tue Oct 23 2018 wally <wally> 1.0.3-0.20181016_git4488ae0.5.mga7.tainted
+ Revision: 1324697
- obsolete old wrongly named devel pkg

* Wed Oct 17 2018 daviddavid <daviddavid> 1.0.3-0.20181016_git4488ae0.4.mga7.tainted
+ Revision: 1321279
- devel pkg requires main lib pkg
- add some missing Provides and Group

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.3.mga7.tainted
+ Revision: 1321219
- Remove unneccesary Requires

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.2.mga7.tainted
+ Revision: 1321167
- Fix devel and library packages

* Tue Oct 16 2018 kekepower <kekepower> 1.0.3-0.20181016_git4488ae0.1.mga7.tainted
+ Revision: 1320979
- imported package libde265

